# cleancache

since 2.0 Cleans the Ivy cache.
This task is roughly equivalent to:

    <delete dir="${ivy.cache.dir}" />

Using the regular Ant delete task is more flexible, since it allows to specify the files to delete. But it requires an Ivy settings to be loaded, and settings scoping is possible only by using suffixed ant property for the cache directory.
This task loads the Ivy settings as any other post settings task, and allows easy scoping with the attribute settingsRef.

# Attributes

Attribute | Description | Required
--- | --- | ---
settingsRef | A reference to the ivy settings that must be used by this task | No, 'ivy.instance' is taken by default.

# Examples

    <ivy:cleancache />

Cleans the cache directory as defined in the loaded settings (by default ~/.ivy2/cache)

    <ivy:cleancache settingsRef="mysettings"/>

Cleans the cache directory as defined in the loaded settings identified as 'mysettings'